---
title: "Working retro with a Raspberry Pi"
date: 2022-09-10T00:00:00
slug: working-retro-with-a-raspberry-pi

---
Since moving to a co-working space, I’ve started using a [Raspberry Pi 400](https://www.raspberrypi.com/products/raspberry-pi-400/) as my primary desktop PC at home to avoid transporting my laptop back-and-forth each day. I’m mainly using it for writing blog posts, playing the odd game, and tinkering with some of my own projects.

After a few weeks of this, I’ve got some thoughts on the pros and cons of using it.

##  The setup

- Raspberry Pi 400 board, overclocked to 2.2GHz
- Logitech G203 optical mouse
- AOC 1080p monitor, connected via micro HDMI cable
- 128GB storage via micro SD
- [Twister OS](https://twisteros.com/)
- [SpaceVim](https://spacevim.org/) as my IDE
- [Lynx](https://lynx.invisible-island.net/) and Chromium for web browsing

I went with Twister OS over Raspberry Pi OS for the simple reason that it has a few retro themes that I like. After a bit of tinkering, I settled on the Windows 95 theme.

![The Twister OS desktop, themed to look like Windows 95, except with modern applications](./src/images/screenshot_twister-1024x576.png)

Chromium is *fine* for browsing most of the time, but it’s a resource hog, so sometimes I’ll decide to
just use Lynx instead - it’s kind of refreshing to not be bombarded with images, ads, and Javascript.

For working, there is a build of VS Code available, but I found it to be pretty slow and a resource hog, much like
Chromium, so I use the SpaceVim distribution of NeoVim, which has just enough features to allow me to work relatively easily.

## [Pros](https://lewisdale.dev/post/working-retro-with-a-raspberry-pi/#pros)

- It’s pretty snappy, especially after overclocking
- I get a nice pang of nostalgia when I boot it up into the Windows 95 theme
- Browsing with Lynx is great for filtering out a lot of the fluff
- The computer itself runs off a 15W USB-C power supply, which is nothing to sniff at with current energy prices

## Cons

- Chromium is pretty slow. I find a lot of pages hanging when scrolling, even with hardware acceleration enabled
- SpaceVim adds a whole new layer of complexity to Vim, which I’ve not yet fully got to grips with
- It’s a 1.8GHz ARM CPU, so it’s pretty limited - especially coming from the M1 in my Macbook
- The Pi 400 keyboard isn’t great - it’s quite cramped and the keys need a surprising amount of force to push
- A lot of time needed to configure all of the different options

Overall, though, it’s not a bad working setup. Once it’s setup, it seems to be quite stable. And as a bonus it’s an exceptionally cheap system: the Pi 400 is £70, and comes embedded in a keyboard, meaning you only need to buy a mouse and a monitor. I’d recommend it as either a backup desktop, a first computer, or a budget system for someone looking to get into computing.
